<?php

/**
* @package  os_lib
* @copyright OrdaSoft.
* @author Andrey Kvasnevskiy(akbet@mail.ru)
* @link http://ordasoft.com/
* @description OrdaSoft Library
*/

/*  use:
use OrdaSoft\os_lib\os_libMain;


$library = new os_libMain();
echo $library->greet("John");

echo os_libMain::helloWorld();
*/

namespace OrdaSoft\os_lib;

class os_libMain
{
    // public static function helloWorld()
    // {
    //     return "Hello, World!";
    // }
    
    //  public function greet($name)
    // {
    //     return "Hello, " . $name . "!";
    // }


    public static function text($const){
        if(defined('_JEXEC')){
          return \JText::_($const);
        }else{
          return __($const);
        }
    }

    public static function is_site(){
        //global $app, $doc;
        $app = \JFactory::getApplication();
        $doc = \JFactory::getDocument();

        if (version_compare(JVERSION, "4.0.0", "ge")) {
          if ($app->isClient('site') && $doc->getType() == 'html'){
            $is_site = true;
          }else{
            $is_site = false;
          }
        }else{
          if ($app->isSite() && $doc->getType() == 'html'){
            $is_site = true;
          }else{
            $is_site = false;
          }
        }

        return $is_site;
    }

}
